#### system_context::has_service

Inherited from execution_context.

Determine if an `execution_context` contains a specified service type.

    template<
        typename Service>
    friend bool has_service(
        execution_context & e);

This function is used to determine whether the `execution_context` contains a service object corresponding to the given service type.

###### Parameters

e

  The `execution_context` object that owns the service.

###### Return Value

A boolean indicating whether the `execution_context` contains the service.

###### Requirements

Header: `asio/system_context.hpp`

Convenience header: `asio.hpp`